com.sun.jna.platform.win32.COM

## Class Wbemcli.IWbemQualifierSet

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.Wbemcli.IWbemQualifierSet

- All Implemented Interfaces:
    NativeMapped, IUnknown
  Enclosing interface:
    Wbemcli

      public static class Wbemcli.IWbemQualifierSet
      extends Unknown

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

      `Unknown.ByReference`

  - ### Field Summary

    - ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

      `IID_IUNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IWbemQualifierSet(Pointer pvInstance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `Get(java.lang.String wszName)`
    `WinNT.HRESULT` | `Get(WString wszName, int lFlags, Variant.VARIANT.ByReference pVal, IntByReference plFlavor)`
    `java.lang.String[]` | `GetNames()`
    `WinNT.HRESULT` | `GetNames(int lFlags, PointerByReference pNames)`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

      `AddRef, QueryInterface, Release`

    - ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

      `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IWbemQualifierSet

          public IWbemQualifierSet(Pointer pvInstance)

  - ### Method Detail

    - #### Get

          public WinNT.HRESULT Get(WString wszName,
                                   int lFlags,
                                   Variant.VARIANT.ByReference pVal,
                                   IntByReference plFlavor)

    - #### Get

          public java.lang.String Get(java.lang.String wszName)

    - #### GetNames

          public WinNT.HRESULT GetNames(int lFlags,
                                        PointerByReference pNames)

    - #### GetNames

          public java.lang.String[] GetNames()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.